Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 728558 - rekeyword >=media-video/ffmpeg-4.3
Summary: rekeyword >=media-video/ffmpeg-4.3
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Keywording (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: media-video herd
URL:
Whiteboard:
Keywords: CC-ARCHES, KEYWORDREQ
Depends on: 733966
Blocks:
  Show dependency tree
 
Reported: 2020-06-17 11:11 UTC by Alexis Ballier
Modified: 2020-12-10 20:21 UTC (History)
1 user (show)

See Also:
Package list:
media-video/ffmpeg-4.3.1 x86 sparc ppc ppc64 ia64 hppa arm64 arm alpha dev-util/cargo-c x86 arm64 arm media-video/rav1e arm x86 arm64
Runtime testing required: ---
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexis Ballier gentoo-dev 2020-06-17 11:11:53 UTC
Probably some useflags worth masking:
>=media-libs/nv-codec-headers-9.1.23.1 -> does not support x86 anymore
>=media-libs/vulkan-loader-1.1.97 -> arches may not have vulkan hardware
Comment 1 NATTkA bot gentoo-dev 2020-06-17 11:40:28 UTC
Unable to check for sanity:

> no match for package: media-video/ffmepg-4.3
Comment 2 NATTkA bot gentoo-dev 2020-06-17 11:44:27 UTC
Unable to check for sanity:

> no match for package: media-video/ffmepg-4.3
Comment 3 NATTkA bot gentoo-dev 2020-06-17 13:17:13 UTC
Sanity check failed:

> media-video/ffmpeg-4.3
>   depend ~alpha stable profile default/linux/alpha/17.0 (41 total)
>     >=media-libs/vulkan-loader-1.1.97:=
>   rdepend ~alpha stable profile default/linux/alpha/17.0 (41 total)
>     >=media-libs/vulkan-loader-1.1.97:=
>   depend ~arm dev profile default/linux/arm/17.0/armv4 (31 total)
>     >=media-libs/vulkan-loader-1.1.97:=
>   rdepend ~arm dev profile default/linux/arm/17.0/armv4 (31 total)
>     >=media-libs/vulkan-loader-1.1.97:=
>   depend ~x86 stable profile default/linux/x86/17.0 (11 total)
>     >=media-libs/nv-codec-headers-9.1.23.1[abi_x86_32(-)]
>   rdepend ~x86 stable profile default/linux/x86/17.0 (11 total)
>     >=media-libs/nv-codec-headers-9.1.23.1[abi_x86_32(-)]
Comment 4 NATTkA bot gentoo-dev 2020-06-17 13:29:18 UTC
Sanity check failed:

> media-video/ffmpeg-4.3
>   depend ~arm64 stable profile default/linux/arm64/17.0 (35 total)
>     >=media-libs/vulkan-loader-1.1.97:=
>   rdepend ~arm64 stable profile default/linux/arm64/17.0 (35 total)
>     >=media-libs/vulkan-loader-1.1.97:=
> media-libs/vulkan-loader-1.2.141
>   depend ~alpha stable profile default/linux/alpha/17.0 (6 total)
>     ~dev-util/vulkan-headers-1.2.143
>   pdepend ~alpha stable profile default/linux/alpha/17.0 (6 total)
>     media-libs/vulkan-layers:=
>   depend ~arm dev profile default/linux/arm/17.0/armv4 (31 total)
>     ~dev-util/vulkan-headers-1.2.143
>   pdepend ~arm dev profile default/linux/arm/17.0/armv4 (31 total)
>     media-libs/vulkan-layers:=
> media-libs/nv-codec-headers-9.1.23.1
>   rdepend ~x86 stable profile default/linux/x86/17.0 (11 total)
>     >=x11-drivers/nvidia-drivers-435.21[abi_x86_32(-)]
Comment 5 NATTkA bot gentoo-dev 2020-06-17 13:41:10 UTC
Sanity check failed:

> media-video/ffmpeg-4.3
>   depend ~alpha stable profile default/linux/alpha/17.0 (41 total)
>     >=media-libs/vulkan-loader-1.1.97:=
>   rdepend ~alpha stable profile default/linux/alpha/17.0 (41 total)
>     >=media-libs/vulkan-loader-1.1.97:=
>   depend ~arm dev profile default/linux/arm/17.0/armv4 (31 total)
>     >=media-libs/vulkan-loader-1.1.97:=
>   rdepend ~arm dev profile default/linux/arm/17.0/armv4 (31 total)
>     >=media-libs/vulkan-loader-1.1.97:=
>   depend ~x86 stable profile default/linux/x86/17.0 (11 total)
>     >=media-libs/nv-codec-headers-9.1.23.1[abi_x86_32(-)]
>   rdepend ~x86 stable profile default/linux/x86/17.0 (11 total)
>     >=media-libs/nv-codec-headers-9.1.23.1[abi_x86_32(-)]
Comment 6 Thomas Deutschmann gentoo-dev 2020-06-20 14:26:58 UTC
x86 keyworded
Comment 7 NATTkA bot gentoo-dev 2020-06-20 14:29:10 UTC
Sanity check failed:

> media-video/ffmpeg-4.3
>   depend ~alpha stable profile default/linux/alpha/17.0 (41 total)
>     >=media-libs/vulkan-loader-1.1.97:=
>   rdepend ~alpha stable profile default/linux/alpha/17.0 (41 total)
>     >=media-libs/vulkan-loader-1.1.97:=
>   depend ~arm dev profile default/linux/arm/17.0/armv4 (31 total)
>     >=media-libs/vulkan-loader-1.1.97:=
>   rdepend ~arm dev profile default/linux/arm/17.0/armv4 (31 total)
>     >=media-libs/vulkan-loader-1.1.97:=
Comment 8 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2020-06-22 01:49:00 UTC
We have some Vulkan hardware on ARM. Don't believe alpha does.
Comment 9 NATTkA bot gentoo-dev 2020-06-22 01:53:13 UTC
Sanity check failed:

> media-video/ffmpeg-4.3
>   depend ~alpha stable profile default/linux/alpha/17.0 (40 total)
>     >=media-libs/vulkan-loader-1.1.97:=
>   rdepend ~alpha stable profile default/linux/alpha/17.0 (40 total)
>     >=media-libs/vulkan-loader-1.1.97:=
> media-libs/vulkan-loader-1.2.141
>   depend ~arm stable profile default/linux/arm/17.0 (1 total)
>     ~dev-util/vulkan-headers-1.2.143
>   depend ~arm dev profile default/linux/arm/17.0/armv4 (31 total)
>     ~dev-util/vulkan-headers-1.2.143
>   pdepend ~arm stable profile default/linux/arm/17.0 (1 total)
>     media-libs/vulkan-layers:=
>   pdepend ~arm dev profile default/linux/arm/17.0/armv4 (31 total)
>     media-libs/vulkan-layers:=
Comment 10 NATTkA bot gentoo-dev 2020-06-22 01:57:30 UTC
Sanity check failed:

> media-video/ffmpeg-4.3
>   depend ~alpha stable profile default/linux/alpha/17.0 (40 total)
>     >=media-libs/vulkan-loader-1.1.97:=
>   rdepend ~alpha stable profile default/linux/alpha/17.0 (40 total)
>     >=media-libs/vulkan-loader-1.1.97:=
> media-libs/vulkan-layers-1.2.141
>   depend ~arm stable profile default/linux/arm/17.0 (1 total)
>     >=dev-util/glslang-8.13.3743:=
>     >=dev-util/spirv-tools-2020.3:=
>   depend ~arm dev profile default/linux/arm/17.0/armv4 (31 total)
>     >=dev-util/glslang-8.13.3743:=
>     >=dev-util/spirv-tools-2020.3:=
> dev-util/vulkan-tools-1.2.141
>   bdepend ~arm stable profile default/linux/arm/17.0 (1 total)
>     dev-util/glslang:=
>   bdepend ~arm dev profile default/linux/arm/17.0/armv4 (31 total)
>     dev-util/glslang:=
Comment 11 NATTkA bot gentoo-dev 2020-07-01 23:21:22 UTC
Sanity check failed:

> media-video/ffmpeg-4.3
>   depend ~alpha stable profile default/linux/alpha/17.0 (40 total)
>     >=media-libs/vulkan-loader-1.1.97:=
>   rdepend ~alpha stable profile default/linux/alpha/17.0 (40 total)
>     >=media-libs/vulkan-loader-1.1.97:=
> dev-util/spirv-tools-2020.3
>   bdepend ~arm stable profile default/linux/arm/17.0 (1 total)
>     >=dev-util/spirv-headers-1.5.3
>   bdepend ~arm dev profile default/linux/arm/17.0/armv4 (31 total)
>     >=dev-util/spirv-headers-1.5.3
>   depend ~arm stable profile default/linux/arm/17.0 (1 total)
>     >=dev-util/spirv-headers-1.5.3
>   depend ~arm dev profile default/linux/arm/17.0/armv4 (31 total)
>     >=dev-util/spirv-headers-1.5.3
Comment 12 NATTkA bot gentoo-dev 2020-07-01 23:25:22 UTC
Sanity check failed:

> media-video/ffmpeg-4.3
>   depend ~alpha stable profile default/linux/alpha/17.0 (40 total)
>     >=media-libs/vulkan-loader-1.1.97:=
>   rdepend ~alpha stable profile default/linux/alpha/17.0 (40 total)
>     >=media-libs/vulkan-loader-1.1.97:=
Comment 13 NATTkA bot gentoo-dev 2020-07-02 00:41:32 UTC
Sanity check failed:

> media-video/ffmpeg-4.3
>   depend ~arm64 stable profile default/linux/arm64/17.0 (35 total)
>     >=media-libs/vulkan-loader-1.1.97:=
>   rdepend ~arm64 stable profile default/linux/arm64/17.0 (35 total)
>     >=media-libs/vulkan-loader-1.1.97:=
Comment 14 NATTkA bot gentoo-dev 2020-07-02 00:45:54 UTC
Sanity check failed:

> media-video/ffmpeg-4.3
>   depend ~hppa stable profile default/linux/hppa/17.0 (26 total)
>     >=media-libs/vulkan-loader-1.1.97:=
>   rdepend ~hppa stable profile default/linux/hppa/17.0 (26 total)
>     >=media-libs/vulkan-loader-1.1.97:=
> media-libs/vulkan-loader-1.2.141
>   depend ~arm64 stable profile default/linux/arm64/17.0 (9 total)
>     ~dev-util/vulkan-headers-1.2.143
>   pdepend ~arm64 stable profile default/linux/arm64/17.0 (9 total)
>     media-libs/vulkan-layers:=
Comment 15 NATTkA bot gentoo-dev 2020-07-02 00:53:36 UTC
Sanity check failed:

> media-video/ffmpeg-4.3
>   depend ~hppa stable profile default/linux/hppa/17.0 (26 total)
>     >=media-libs/vulkan-loader-1.1.97:=
>   rdepend ~hppa stable profile default/linux/hppa/17.0 (26 total)
>     >=media-libs/vulkan-loader-1.1.97:=
Comment 16 NATTkA bot gentoo-dev 2020-07-02 01:01:27 UTC
Sanity check failed:

> media-video/ffmpeg-4.3
>   depend ~ppc stable profile default/linux/powerpc/ppc32/17.0 (10 total)
>     >=media-libs/vulkan-loader-1.1.97:=
>   rdepend ~ppc stable profile default/linux/powerpc/ppc32/17.0 (10 total)
>     >=media-libs/vulkan-loader-1.1.97:=
Comment 17 Alexis Ballier gentoo-dev 2020-07-02 14:30:35 UTC
lets reuse this one for rav1e
Comment 18 NATTkA bot gentoo-dev 2020-07-02 14:36:10 UTC
Sanity check failed:

> dev-util/cargo-c-0.6.2
>   bdepend ~alpha stable profile default/linux/alpha/17.0 (31 total)
>     >=virtual/rust-1.37.0
>   bdepend ~arm dev profile default/linux/arm/17.0/armv4 (15 total)
>     >=virtual/rust-1.37.0
> media-video/ffmpeg-4.3-r1
>   depend ~alpha stable profile default/linux/alpha/17.0 (61 total)
>     media-video/rav1e:=[capi]
>   rdepend ~alpha stable profile default/linux/alpha/17.0 (61 total)
>     media-video/rav1e:=[capi]
>   depend ~arm dev profile default/linux/arm/17.0/armv4 (33 total)
>     media-video/rav1e:=[capi]
>   rdepend ~arm dev profile default/linux/arm/17.0/armv4 (33 total)
>     media-video/rav1e:=[capi]
Comment 19 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2020-07-02 23:47:30 UTC
We need to mask ffmpeg[rav1e] on sparc, ppc, ia64, alpha, and on earlier (< armv6j) arm, as they do not have Rust.
Comment 20 NATTkA bot gentoo-dev 2020-07-02 23:49:31 UTC
Sanity check failed:

> media-video/ffmpeg-4.3-r1
>   depend ~alpha stable profile default/linux/alpha/17.0 (61 total)
>     media-video/rav1e:=[capi]
>   rdepend ~alpha stable profile default/linux/alpha/17.0 (61 total)
>     media-video/rav1e:=[capi]
>   depend ~arm dev profile default/linux/arm/17.0/armv4 (33 total)
>     media-video/rav1e:=[capi]
>   rdepend ~arm dev profile default/linux/arm/17.0/armv4 (33 total)
>     media-video/rav1e:=[capi]
> dev-util/cargo-c-0.6.2
>   bdepend ~alpha stable profile default/linux/alpha/17.0 (31 total)
>     >=virtual/rust-1.37.0
>   bdepend ~arm dev profile default/linux/arm/17.0/armv4 (15 total)
>     >=virtual/rust-1.37.0
Comment 21 NATTkA bot gentoo-dev 2020-07-03 14:53:31 UTC
Sanity check failed:

> media-video/ffmpeg-4.3-r1
>   depend ~alpha stable profile default/linux/alpha/17.0 (61 total)
>     media-video/rav1e:=[capi]
>   rdepend ~alpha stable profile default/linux/alpha/17.0 (61 total)
>     media-video/rav1e:=[capi]
>   depend ~arm dev profile default/linux/arm/17.0/armv4 (33 total)
>     media-video/rav1e:=[capi]
>   rdepend ~arm dev profile default/linux/arm/17.0/armv4 (33 total)
>     media-video/rav1e:=[capi]
> dev-util/cargo-c-0.6.2
>   bdepend ~arm dev profile default/linux/arm/17.0/armv4 (15 total)
>     >=virtual/rust-1.37.0
Comment 22 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2020-07-04 12:57:47 UTC
~arm64 added for 4.3, not 4.3-r1 yet
Comment 23 Larry the Git Cow gentoo-dev 2020-07-04 20:35:21 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=355d8d3200a4e82a0d872662a7b824ce3974caba

commit 355d8d3200a4e82a0d872662a7b824ce3974caba
Author:     Sam James (sam_c) <sam@cmpct.info>
AuthorDate: 2020-07-02 13:29:48 +0000
Commit:     Michał Górny <mgorny@gentoo.org>
CommitDate: 2020-07-04 20:35:02 +0000

    profiles: mask media-video/ffmpeg[rav1e] w/o Rust
    
    Mask media-video/ffmpeg[rav1e] where Rust isn't available.
    
    Bug: https://bugs.gentoo.org/728558
    Signed-off-by: Sam James (sam_c) <sam@cmpct.info>
    Signed-off-by: Michał Górny <mgorny@gentoo.org>

 profiles/arch/amd64/package.use.mask         | 5 +++++
 profiles/arch/arm/armv7a/package.use.mask    | 5 +++++
 profiles/arch/arm64/package.use.mask         | 5 +++++
 profiles/arch/base/package.use.mask          | 5 +++++
 profiles/arch/powerpc/ppc64/package.use.mask | 5 +++++
 profiles/arch/x86/package.use.mask           | 5 +++++
 6 files changed, 30 insertions(+)
Comment 24 NATTkA bot gentoo-dev 2020-07-04 20:41:34 UTC
Sanity check failed:

> media-video/ffmpeg-4.3-r1
>   depend ~arm dev profile default/linux/arm/17.0/armv7a (7 total)
>     media-video/rav1e:=[capi]
>   rdepend ~arm dev profile default/linux/arm/17.0/armv7a (7 total)
>     media-video/rav1e:=[capi]
>   depend ~arm64 stable profile default/linux/arm64/17.0 (29 total)
>     media-video/rav1e:=[capi]
>   rdepend ~arm64 stable profile default/linux/arm64/17.0 (29 total)
>     media-video/rav1e:=[capi]
> dev-util/cargo-c-0.6.2
>   bdepend ~arm dev profile default/linux/arm/17.0/armv4 (15 total)
>     >=virtual/rust-1.37.0
Comment 25 NATTkA bot gentoo-dev 2020-07-04 20:59:24 UTC
Sanity check failed:

> media-video/ffmpeg-4.3-r1
>   depend ~arm dev profile default/linux/arm/17.0/armv7a (7 total)
>     media-video/rav1e:=[capi]
>   rdepend ~arm dev profile default/linux/arm/17.0/armv7a (7 total)
>     media-video/rav1e:=[capi]
>   depend ~arm64 stable profile default/linux/arm64/17.0 (29 total)
>     media-video/rav1e:=[capi]
>   rdepend ~arm64 stable profile default/linux/arm64/17.0 (29 total)
>     media-video/rav1e:=[capi]
Comment 26 NATTkA bot gentoo-dev 2020-07-04 21:06:07 UTC
Sanity check failed:

> media-video/ffmpeg-4.3-r1
>   depend ~arm dev profile default/linux/arm/17.0/armv7a (7 total)
>     media-video/rav1e:=[capi]
>   rdepend ~arm dev profile default/linux/arm/17.0/armv7a (7 total)
>     media-video/rav1e:=[capi]
>   depend ~arm64 stable profile default/linux/arm64/17.0 (29 total)
>     media-video/rav1e:=[capi]
>   rdepend ~arm64 stable profile default/linux/arm64/17.0 (29 total)
>     media-video/rav1e:=[capi]
> dev-util/cargo-c-0.6.2
>   bdepend ~arm dev profile default/linux/arm/17.0/armv4 (15 total)
>     >=virtual/rust-1.37.0
Comment 27 NATTkA bot gentoo-dev 2020-07-04 21:57:59 UTC
Sanity check failed:

> media-video/ffmpeg-4.3-r1
>   depend ~arm dev profile default/linux/arm/17.0/armv7a (7 total)
>     media-video/rav1e:=[capi]
>   rdepend ~arm dev profile default/linux/arm/17.0/armv7a (7 total)
>     media-video/rav1e:=[capi]
>   depend ~ppc64 stable profile default/linux/powerpc/ppc64/17.0/64bit-userland (20 total)
>     media-video/rav1e:=[capi]
>   rdepend ~ppc64 stable profile default/linux/powerpc/ppc64/17.0/64bit-userland (20 total)
>     media-video/rav1e:=[capi]
> dev-util/cargo-c-0.6.2
>   bdepend ~arm dev profile default/linux/arm/17.0/armv4 (15 total)
>     >=virtual/rust-1.37.0
Comment 28 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2020-07-04 21:58:41 UTC
~arm64 added
Comment 29 NATTkA bot gentoo-dev 2020-07-04 22:05:37 UTC
Sanity check failed:

> media-video/ffmpeg-4.3-r1
>   depend ~arm dev profile default/linux/arm/17.0/armv6j (12 total)
>     media-video/rav1e:=[capi]
>   rdepend ~arm dev profile default/linux/arm/17.0/armv6j (12 total)
>     media-video/rav1e:=[capi]
>   depend ~ppc64 stable profile default/linux/powerpc/ppc64/17.0/64bit-userland (20 total)
>     media-video/rav1e:=[capi]
>   rdepend ~ppc64 stable profile default/linux/powerpc/ppc64/17.0/64bit-userland (20 total)
>     media-video/rav1e:=[capi]
> dev-util/cargo-c-0.6.2
>   bdepend ~arm dev profile default/linux/arm/17.0/armv4 (15 total)
>     >=virtual/rust-1.37.0
Comment 30 NATTkA bot gentoo-dev 2020-07-04 22:57:31 UTC
Sanity check failed:

> media-video/ffmpeg-4.3-r1
>   depend ~arm dev profile default/linux/arm/17.0/armv6j (12 total)
>     media-video/rav1e:=[capi]
>   rdepend ~arm dev profile default/linux/arm/17.0/armv6j (12 total)
>     media-video/rav1e:=[capi]
>   depend ~ppc64 stable profile default/linux/powerpc/ppc64/17.0/64bit-userland (20 total)
>     media-video/rav1e:=[capi]
>   rdepend ~ppc64 stable profile default/linux/powerpc/ppc64/17.0/64bit-userland (20 total)
>     media-video/rav1e:=[capi]
> dev-util/cargo-c-0.6.2
>   bdepend ~arm dev profile default/linux/arm/17.0/armv4 (15 total)
>     >=virtual/rust-1.37.0
Comment 31 Sergei Trofimovich (RETIRED) gentoo-dev 2020-07-08 07:48:46 UTC
~ia64 keyworded
Comment 32 NATTkA bot gentoo-dev 2020-07-10 12:33:54 UTC
Sanity check failed:

> media-video/ffmpeg-4.3-r1
>   depend ~ppc64 stable profile default/linux/powerpc/ppc64/17.0/64bit-userland (9 total)
>     media-video/rav1e:=[capi]
>   depend ~ppc64 dev profile default/linux/ppc64le/17.0/desktop/plasma (2 total)
>     media-video/rav1e:=[capi]
>   rdepend ~ppc64 stable profile default/linux/powerpc/ppc64/17.0/64bit-userland (9 total)
>     media-video/rav1e:=[capi]
>   rdepend ~ppc64 dev profile default/linux/ppc64le/17.0/desktop/plasma (2 total)
>     media-video/rav1e:=[capi]
> dev-util/cargo-c-0.6.2
>   bdepend ~arm dev profile default/linux/arm/17.0/armv4 (15 total)
>     >=virtual/rust-1.37.0
> media-video/rav1e-0.3.3
>   bdepend ~arm dev profile default/linux/arm/17.0/armv4 (15 total)
>     >=virtual/rust-1.37.0
Comment 33 Larry the Git Cow gentoo-dev 2020-07-10 12:51:22 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9abbe92b658a3dcf33b5deb88783f798cfe6f08a

commit 9abbe92b658a3dcf33b5deb88783f798cfe6f08a
Author:     Thomas Deutschmann <whissi@gentoo.org>
AuthorDate: 2020-07-10 12:50:36 +0000
Commit:     Thomas Deutschmann <whissi@gentoo.org>
CommitDate: 2020-07-10 12:51:13 +0000

    profiles/arch/arm: mask/unmask media-video/rav1e where rust is available
    
    Bug: https://bugs.gentoo.org/728558
    Acked-by: Sam James <sam@gentoo.org>
    Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>

 profiles/arch/arm/armv6j/package.mask | 5 +++--
 profiles/arch/arm/armv7a/package.mask | 5 +++--
 profiles/arch/arm/package.mask        | 5 +++--
 3 files changed, 9 insertions(+), 6 deletions(-)
Comment 34 Larry the Git Cow gentoo-dev 2020-07-10 12:55:30 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=45050b1df7f3a071f7fee6d3c76e860525f3e6fe

commit 45050b1df7f3a071f7fee6d3c76e860525f3e6fe
Author:     Thomas Deutschmann <whissi@gentoo.org>
AuthorDate: 2020-07-10 12:53:51 +0000
Commit:     Thomas Deutschmann <whissi@gentoo.org>
CommitDate: 2020-07-10 12:55:24 +0000

    profiles/arch/arm: mask/unmask dev-util/cargo-c where rust is available
    
    Bug: https://bugs.gentoo.org/728558
    Acked-by: Sam James <sam@gentoo.org>
    Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>

 profiles/arch/arm/armv6j/package.mask | 1 +
 profiles/arch/arm/armv7a/package.mask | 1 +
 profiles/arch/arm/package.mask        | 1 +
 3 files changed, 3 insertions(+)
Comment 35 NATTkA bot gentoo-dev 2020-07-10 13:01:52 UTC
Sanity check failed:

> media-video/ffmpeg-4.3-r1
>   depend ~ppc64 stable profile default/linux/powerpc/ppc64/17.0/64bit-userland (9 total)
>     media-video/rav1e:=[capi]
>   depend ~ppc64 dev profile default/linux/ppc64le/17.0/desktop/plasma (2 total)
>     media-video/rav1e:=[capi]
>   rdepend ~ppc64 stable profile default/linux/powerpc/ppc64/17.0/64bit-userland (9 total)
>     media-video/rav1e:=[capi]
>   rdepend ~ppc64 dev profile default/linux/ppc64le/17.0/desktop/plasma (2 total)
>     media-video/rav1e:=[capi]
Comment 36 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2020-07-11 20:24:28 UTC
~sparc added
Comment 37 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2020-07-12 01:52:04 UTC
~arm added
Comment 38 Larry the Git Cow gentoo-dev 2020-07-12 02:41:00 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3339c95a45006ad517133c41cc75a7f19739f6e5

commit 3339c95a45006ad517133c41cc75a7f19739f6e5
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2020-07-12 02:00:00 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2020-07-12 02:27:22 +0000

    profiles/arch/powerpc/ppc64: mask media-video/ffmpeg[rav1e]
    
    media-video/ffmpeg[rav1e] needs media-video/rav1e[capi], but
    USE=capi is masked on ppc64.
    
    Bug: https://bugs.gentoo.org/728558
    Signed-off-by: Sam James <sam@gentoo.org>

 profiles/arch/powerpc/ppc64/package.use.mask | 5 -----
 1 file changed, 5 deletions(-)
Comment 39 Sergei Trofimovich (RETIRED) gentoo-dev 2020-07-12 08:33:28 UTC
~ppc64 keyworded
Comment 40 Larry the Git Cow gentoo-dev 2020-07-13 22:17:09 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6448589cc6dbfb85291bc658832371c639773970

commit 6448589cc6dbfb85291bc658832371c639773970
Author:     Georgy Yakovlev <gyakovlev@gentoo.org>
AuthorDate: 2020-07-13 21:57:41 +0000
Commit:     Georgy Yakovlev <gyakovlev@gentoo.org>
CommitDate: 2020-07-13 22:16:54 +0000

    profiles/arch/powerpc/ppc64: unmask media-video/ffmpeg[rav1e]
    
    This reverts commit 3339c95a45006ad517133c41cc75a7f19739f6e5.
    
    Bug: https://bugs.gentoo.org/728558
    Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>

 profiles/arch/powerpc/ppc64/package.use.mask | 5 +++++
 1 file changed, 5 insertions(+)
Comment 41 Georgy Yakovlev archtester gentoo-dev 2020-07-13 22:19:17 UTC
re-enabled rav1e useflag on ppc64 with some extra keywording
Comment 42 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2020-07-16 23:08:27 UTC
I think we may need https://trac.ffmpeg.org/ticket/8750 to fix the build on ppc.
Comment 43 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2020-07-19 15:49:12 UTC
~x86 added
Comment 44 NATTkA bot gentoo-dev 2020-07-23 15:20:54 UTC
Unable to check for sanity:

> no match for package: media-video/ffmpeg-4.3-r1
Comment 45 Andreas Sturmlechner gentoo-dev 2020-07-26 11:21:37 UTC
media-libs/vulkan-loader keywording outsourced to bug 733966.
Comment 46 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2020-08-20 18:25:35 UTC
(In reply to Sam James from comment #42)
> I think we may need https://trac.ffmpeg.org/ticket/8750 to fix the build on
> ppc.

I'll apply this when timberdoodle is back. IIRC it worked and fixed the build but want to check.
Comment 47 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2020-10-07 17:07:21 UTC
~ppc added
Comment 48 Sergei Trofimovich (RETIRED) gentoo-dev 2020-11-28 11:32:07 UTC
~hppa keyworded
Comment 49 Matt Turner gentoo-dev 2020-12-10 20:21:40 UTC
alpha done

all arches done